This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 445682 - Cannot build an i386 version of libpcap on an x64 server
Cannot build an i386 version of libpcap on an x64 server
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libpcap (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-08 10:21 EDT by Bruce Keats
Modified: 2008-06-27 08:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-27 08:35:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruce Keats 2008-05-08 10:21:16 EDT
Description of problem:

I get the following error when trying to do the rpmbuild for libpcap on an x64
machine when trying to build for an i386 target:
stdout>:3823: warning: 'yyunput' defined but not used
gcc -O2 -fPIC -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables  -I.  -DHAVE_CONFIG_H 
-D_U_="__attribute__((unused))" -Dyylval=pcap_lval -c grammar.c
sed -e 's/.*/char pcap_version[] = "&";/' ./VERSION > version.c
gcc -O2 -fPIC -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables  -I.  -DHAVE_CONFIG_H 
-D_U_="__attribute__((unused))" -c version.c
ar rc libpcap.a pcap-linux.o fad-getad.o pcap.o inet.o gencode.o optimize.o
nametoaddr.o etherent.o savefile.o bpf_filter.o bpf_image.o bpf_dump.o 
scanner.o grammar.o version.o
ranlib libpcap.a
gcc -shared -Wl,-soname -Wl,libpcap.so.0.9 -o libpcap.so.0.9.7 pcap-linux.o
fad-getad.o pcap.o inet.o gencode.o optimize.o nametoaddr.o etherent.o
savefile.o bpf_filter.o bpf_image.o bpf_dump.o  scanner.o grammar.o version.o
collect2: ld terminated with signal 11 [Segmentation fault]
/usr/bin/ld: warning: i386 architecture of input file `pcap-linux.o' is
incompatible with i386:x86-64 output
/usr/bin/ld: warning: i386 architecture of input file `fad-getad.o' is
incompatible with i386:x86-64 output
/usr/bin/ld: warning: i386 architecture of input file `pcap.o' is incompatible
with i386:x86-64 output
/usr/bin/ld: warning: i386 architecture of input file `inet.o' is incompatible
with i386:x86-64 output
/usr/bin/ld: warning: i386 architecture of input file `gencode.o' is
incompatible with i386:x86-64 output
/usr/bin/ld: warning: i386 architecture of input file `optimize.o' is
incompatible with i386:x86-64 output
/usr/bin/ld: warning: i386 architecture of input file `nametoaddr.o' is
incompatible with i386:x86-64 output
/usr/bin/ld: warning: i386 architecture of input file `etherent.o' is
incompatible with i386:x86-64 output
/usr/bin/ld: warning: i386 architecture of input file `savefile.o' is
incompatible with i386:x86-64 output
/usr/bin/ld: warning: i386 architecture of input file `bpf_filter.o' is
incompatible with i386:x86-64 output
/usr/bin/ld: warning: i386 architecture of input file `bpf_image.o' is
incompatible with i386:x86-64 output
/usr/bin/ld: warning: i386 architecture of input file `bpf_dump.o' is
incompatible with i386:x86-64 output
/usr/bin/ld: warning: i386 architecture of input file `scanner.o' is
incompatible with i386:x86-64 output
/usr/bin/ld: warning: i386 architecture of input file `grammar.o' is
incompatible with i386:x86-64 output
/usr/bin/ld: warning: i386 architecture of input file `version.o' is
incompatible with i386:x86-64 output
make: *** [libpcap.so.0.9.7] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.48124 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.48124 (%build)


How reproducible:

On a 64 bit machine execute the following command:
rpmbuild -bb --target i386 libpcap.spec

Steps to Reproduce:
1. install libpcap src rpm
2. cd SPECS
3. rpmbuild -bb --target i386 libpcap.spec
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2008-05-14 11:29:02 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Miroslav Lichvar 2008-06-27 08:35:38 EDT
Fixed in libpcap-0.9.8-3.fc10.

Note You need to log in before you can comment on or make changes to this bug.